[CalendarServer-changes] [1506] CalendarServer/trunk/doc

source_changes at macosforge.org source_changes at macosforge.org
Tue May 1 04:25:45 PDT 2007


Revision: 1506
          http://trac.macosforge.org/projects/calendarserver/changeset/1506
Author:   wsanchez at apple.com
Date:     2007-05-01 04:25:44 -0700 (Tue, 01 May 2007)

Log Message:
-----------
Move developer docs into a directory

Added Paths:
-----------
    CalendarServer/trunk/doc/Developer/
    CalendarServer/trunk/doc/Developer/CalendarIndex.xcdatamodel/
    CalendarServer/trunk/doc/Developer/Repository/
    CalendarServer/trunk/doc/Developer/gendocs
    CalendarServer/trunk/doc/Developer/twisted.cfg
    CalendarServer/trunk/doc/Developer/twistedcaldav.cfg

Removed Paths:
-------------
    CalendarServer/trunk/doc/CalendarIndex.xcdatamodel/
    CalendarServer/trunk/doc/Repository/
    CalendarServer/trunk/doc/gendocs
    CalendarServer/trunk/doc/twisted.cfg
    CalendarServer/trunk/doc/twistedcaldav.cfg

Copied: CalendarServer/trunk/doc/Developer/CalendarIndex.xcdatamodel (from rev 1505, CalendarServer/trunk/doc/CalendarIndex.xcdatamodel)

Copied: CalendarServer/trunk/doc/Developer/Repository (from rev 1505, CalendarServer/trunk/doc/Repository)

Copied: CalendarServer/trunk/doc/Developer/gendocs (from rev 1505, CalendarServer/trunk/doc/gendocs)
===================================================================
--- CalendarServer/trunk/doc/Developer/gendocs	                        (rev 0)
+++ CalendarServer/trunk/doc/Developer/gendocs	2007-05-01 11:25:44 UTC (rev 1506)
@@ -0,0 +1,81 @@
+#!/bin/sh
+
+##
+# Copyright (c) 2005-2007 Apple Inc. All rights reserved.
+#
+# Licensed under the Apache License, Version 2.0 (the "License");
+# you may not use this file except in compliance with the License.
+# You may obtain a copy of the License at
+#
+#     http://www.apache.org/licenses/LICENSE-2.0
+#
+# Unless required by applicable law or agreed to in writing, software
+# distributed under the License is distributed on an "AS IS" BASIS,
+# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
+# See the License for the specific language governing permissions and
+# limitations under the License.
+#
+# DRI: Wilfredo Sanchez, wsanchez at apple.com
+##
+
+set -e
+set -u
+
+ wd="$(cd "$(dirname "$0")" && pwd -P)";
+top="$(cd "${wd}/../.." && pwd -L)"
+
+export PYTHONPATH="$("${wd}/../run" -p)";
+
+##
+# Download and set up dependancies
+##
+
+epydoc="${top}/epydoc-2.1";
+
+if [ ! -d "${epydoc}" ]; then
+   echo "Downloading Epydoc...";
+   cd "${top}" && curl http://easynews.dl.sourceforge.net/sourceforge/epydoc/epydoc-2.1.tar.gz | tar xvzf -;
+fi;
+
+if [ ! -d "${epydoc}/build/lib" ]; then
+   cd "${epydoc}" && python2.4 ./setup.py build;
+fi;
+
+pydoctor="${top}/pydoctor";
+
+if [ ! -d "${pydoctor}" ]; then
+    echo "Downloading PyDoctor...";
+    cd "${top}" && svn co http://codespeak.net/svn/user/mwh/pydoctor/trunk pydoctor;
+fi;
+
+if [ ! -d "${pydoctor}/build/lib" ]; then
+   cd "${pydoctor}" && python2.4 ./setup.py build;
+fi;
+
+nevow="${top}/Nevow";
+if [ ! -d "${nevow}" ]; then
+    echo "Downloading Nevow...";
+    cd "${top}" && svn co http://divmod.org/svn/Divmod/trunk/Nevow;
+fi;
+
+export PYTHONPATH="${PYTHONPATH}:${epydoc}/build/lib:${pydoctor}/build/lib/:${nevow}";
+
+python_version="$(python2.4 -V 2>&1)";
+python_version="${python_version#Python }";
+python_version="${python_version%*.*}";
+
+pydoctor="${pydoctor}/build/scripts-${python_version}/pydoctor";
+
+cd "${wd}";
+
+if [ ! -f "${top}/twisted.pickle" ]; then
+    echo "Generating Twisted documentation...";
+    "${pydoctor}" -c twisted.cfg -o "${top}/twisted.pickle";
+fi;
+
+##
+# Generate documentation
+##
+
+echo "Generating TwistedCalDAV documentation...";
+"${pydoctor}" -c twistedcaldav.cfg --resolve-aliases --extra-system="${top}/twisted.pickle:http://twistedmatrix.com/documents/current/api/" --make-html;

Copied: CalendarServer/trunk/doc/Developer/twisted.cfg (from rev 1505, CalendarServer/trunk/doc/twisted.cfg)
===================================================================
--- CalendarServer/trunk/doc/Developer/twisted.cfg	                        (rev 0)
+++ CalendarServer/trunk/doc/Developer/twisted.cfg	2007-05-01 11:25:44 UTC (rev 1506)
@@ -0,0 +1,7 @@
+systemclass: pydoctor.twistedmodel.TwistedSystem
+htmlsourcebase: http://twistedmatrix.com/trac/browser/trunk
+htmlwriter: pydoctor.nevowhtml.NevowWriter
+projectname: Twisted
+htmloutput: ../../Twisted/
+htmlusesorttable: True
+packages: ../../Twisted/twisted

Copied: CalendarServer/trunk/doc/Developer/twistedcaldav.cfg (from rev 1505, CalendarServer/trunk/doc/twistedcaldav.cfg)
===================================================================
--- CalendarServer/trunk/doc/Developer/twistedcaldav.cfg	                        (rev 0)
+++ CalendarServer/trunk/doc/Developer/twistedcaldav.cfg	2007-05-01 11:25:44 UTC (rev 1506)
@@ -0,0 +1,6 @@
+packages: ../twistedcaldav
+systemclass: pydoctor.twistedmodel.TwistedSystem
+htmlsourcebase: http://trac.macosforge.org/projects/collaboration/browser/CalendarServer/trunk
+htmlwriter: pydoctor.nevowhtml.NevowWriter
+projectname: TwistedCalDAV
+abbrevmapping: twistedcaldav=tcd

Deleted: CalendarServer/trunk/doc/gendocs
===================================================================
--- CalendarServer/trunk/doc/gendocs	2007-04-30 15:20:40 UTC (rev 1505)
+++ CalendarServer/trunk/doc/gendocs	2007-05-01 11:25:44 UTC (rev 1506)
@@ -1,81 +0,0 @@
-#!/bin/sh
-
-##
-# Copyright (c) 2005-2007 Apple Inc. All rights reserved.
-#
-# Licensed under the Apache License, Version 2.0 (the "License");
-# you may not use this file except in compliance with the License.
-# You may obtain a copy of the License at
-#
-#     http://www.apache.org/licenses/LICENSE-2.0
-#
-# Unless required by applicable law or agreed to in writing, software
-# distributed under the License is distributed on an "AS IS" BASIS,
-# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
-# See the License for the specific language governing permissions and
-# limitations under the License.
-#
-# DRI: Wilfredo Sanchez, wsanchez at apple.com
-##
-
-set -e
-set -u
-
- wd="$(cd "$(dirname "$0")" && pwd -P)";
-top="$(cd "${wd}/../.." && pwd -L)"
-
-export PYTHONPATH="$("${wd}/../run" -p)";
-
-##
-# Download and set up dependancies
-##
-
-epydoc="${top}/epydoc-2.1";
-
-if [ ! -d "${epydoc}" ]; then
-   echo "Downloading Epydoc...";
-   cd "${top}" && curl http://easynews.dl.sourceforge.net/sourceforge/epydoc/epydoc-2.1.tar.gz | tar xvzf -;
-fi;
-
-if [ ! -d "${epydoc}/build/lib" ]; then
-   cd "${epydoc}" && python2.4 ./setup.py build;
-fi;
-
-pydoctor="${top}/pydoctor";
-
-if [ ! -d "${pydoctor}" ]; then
-    echo "Downloading PyDoctor...";
-    cd "${top}" && svn co http://codespeak.net/svn/user/mwh/pydoctor/trunk pydoctor;
-fi;
-
-if [ ! -d "${pydoctor}/build/lib" ]; then
-   cd "${pydoctor}" && python2.4 ./setup.py build;
-fi;
-
-nevow="${top}/Nevow";
-if [ ! -d "${nevow}" ]; then
-    echo "Downloading Nevow...";
-    cd "${top}" && svn co http://divmod.org/svn/Divmod/trunk/Nevow;
-fi;
-
-export PYTHONPATH="${PYTHONPATH}:${epydoc}/build/lib:${pydoctor}/build/lib/:${nevow}";
-
-python_version="$(python2.4 -V 2>&1)";
-python_version="${python_version#Python }";
-python_version="${python_version%*.*}";
-
-pydoctor="${pydoctor}/build/scripts-${python_version}/pydoctor";
-
-cd "${wd}";
-
-if [ ! -f "${top}/twisted.pickle" ]; then
-    echo "Generating Twisted documentation...";
-    "${pydoctor}" -c twisted.cfg -o "${top}/twisted.pickle";
-fi;
-
-##
-# Generate documentation
-##
-
-echo "Generating TwistedCalDAV documentation...";
-"${pydoctor}" -c twistedcaldav.cfg --resolve-aliases --extra-system="${top}/twisted.pickle:http://twistedmatrix.com/documents/current/api/" --make-html;

Deleted: CalendarServer/trunk/doc/twisted.cfg
===================================================================
--- CalendarServer/trunk/doc/twisted.cfg	2007-04-30 15:20:40 UTC (rev 1505)
+++ CalendarServer/trunk/doc/twisted.cfg	2007-05-01 11:25:44 UTC (rev 1506)
@@ -1,7 +0,0 @@
-systemclass: pydoctor.twistedmodel.TwistedSystem
-htmlsourcebase: http://twistedmatrix.com/trac/browser/trunk
-htmlwriter: pydoctor.nevowhtml.NevowWriter
-projectname: Twisted
-htmloutput: ../../Twisted/
-htmlusesorttable: True
-packages: ../../Twisted/twisted

Deleted: CalendarServer/trunk/doc/twistedcaldav.cfg
===================================================================
--- CalendarServer/trunk/doc/twistedcaldav.cfg	2007-04-30 15:20:40 UTC (rev 1505)
+++ CalendarServer/trunk/doc/twistedcaldav.cfg	2007-05-01 11:25:44 UTC (rev 1506)
@@ -1,6 +0,0 @@
-packages: ../twistedcaldav
-systemclass: pydoctor.twistedmodel.TwistedSystem
-htmlsourcebase: http://trac.macosforge.org/projects/collaboration/browser/CalendarServer/trunk
-htmlwriter: pydoctor.nevowhtml.NevowWriter
-projectname: TwistedCalDAV
-abbrevmapping: twistedcaldav=tcd

-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20070501/c39ed7a3/attachment.html


More information about the calendarserver-changes mailing list